Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class FLWR

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.FLWOR
                  org.basex.query.expr.FLWR

    public final class FLWR

extends FLWOR

FLWR clause.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Constructor Summary
`FLWR(ForLet[] f, Expr w, Expr r)` Constructor.

Method Summary
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.expr.FLWOR
`color, plan, removable, remove, returned, toString, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FLWR

    public FLWR(ForLet[] f,
                Expr w,
                Expr r)

  Constructor.

  Parameters:
    `f` - variable inputs
    `w` - where clause
    `r` - return expression

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `FLWOR`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - query exception

### iter

    public Iter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `FLWOR`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD